## libkdcraw 4.8.4

=== libkdcraw/CMakeLists.txt ===
# ===========================================================
#
# This file is a part of digiKam project
# <a href="http://www.digikam.org">http://www.digikam.org</a>
#
# @date   2006-12-09
# @brief  a tread-safe libraw C++ program interface for KDE
#
# @author Copyright (C) 2006-2011 by Gilles Caulier
#         <a href="mailto:caulier dot gilles at gmail dot com">caulier dot gilles at gmail dot com</a>
#
# This program is free software; you can redistribute it
# and/or modify it under the terms of the GNU General
# Public License as published by the Free Software Foundation;
# either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# ============================================================

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h)

SET(kdcraw_LIB_SRCS kdcraw.cpp
                    kdcraw_p.cpp
                    dcrawsettingswidget.cpp
                    dcrawinfocontainer.cpp
                    rawdecodingsettings.cpp
                    rcombobox.cpp
                    rnuminput.cpp
                    rexpanderbox.cpp
                    squeezedcombobox.cpp
   )

KDE4_ADD_LIBRARY(kdcraw SHARED ${kdcraw_LIB_SRCS})

TARGET_LINK_LIBRARIES(kdcraw
                      libraw
                      ${KDE4_KDEUI_LIBS}
                      ${KDE4_KIO_LIBS}
                     )

SET_TARGET_PROPERTIES(kdcraw PROPERTIES VERSION ${DCRAW_LIB_SO_VERSION_STRING} SOVERSION ${DCRAW_LIB_SO_CUR_VERSION}
                                        DEFINE_SYMBOL LIBRAW_BUILDLIB)

INSTALL(TARGETS kdcraw ${INSTALL_TARGETS_DEFAULT_ARGS})

INSTALL(FILES rawdecodingsettings.h
              kdcraw.h
              dcrawsettingswidget.h
              rnuminput.h
              rcombobox.h
              rexpanderbox.h
              squeezedcombobox.h
              dcrawinfocontainer.h
              rawfiles.h
              libkdcraw_export.h
              ${CMAKE_CURRENT_BINARY_DIR}/version.h
        DESTINATION ${INCLUDE_INSTALL_DIR}/libkdcraw COMPONENT Devel)

## libkdcraw 4.7.1

=== debian/changelog ===
libkdcraw (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 01:15:12 +0200

libkdcraw (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 08 Sep 2011 09:26:39 -0400

libkdcraw (4:4.7.0-0ubuntu1) oneiric; urgency=low

  [ Felix Geyer ]
  * Set libkdcraw-data to arch-all.
  * Drop unused lintian override.
  * Build-dep on libjpeg62-dev instead of libjpeg-dev to work around LP 816155.
  * Refer to common license files of GPL-2 and LGPL-2 in debian/copyright.

  [ Philip Muškovac ]
  * New upstream release.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 27 Jul 2011 20:47:47 +0200

libkdcraw (4:4.6.90+repack1-0ubuntu3) oneiric; urgency=low

  * Drop work around for LP: #807573 now that it's fixed

 -- Scott Kitterman <scott@kitterman.com>  Fri, 22 Jul 2011 10:04:50 -0400

libkdcraw (4:4.6.90+repack1-0ubuntu2) oneiric; urgency=low

  [ Philip Muškovac ]
  * Build with CXXFLAGS += -mfloat-abi=soft to work around 
    launchpad bug #807573 

  [ Scott Kitterman ]
  * Only set -mfloat-abi=soft on armel

 -- Scott Kitterman <scott@kitterman.com>  Tue, 12 Jul 2011 10:07:50 -0400

libkdcraw (4:4.6.90+repack1-0ubuntu1) oneiric; urgency=low

  * New upstream release candidate 
  * Update for split packaging

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 08 Jul 2011 09:30:26 +0200

=== debian/control ===
Source: libkdcraw
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6), liblcms1-dev, libjpeg62-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdcraw
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdcraw

Package: libkdcraw20
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkdcraw-data (>= ${source:Version})
Description: RAW picture decoding C++ library (runtime)
 C++ interface around dcraw binary program used to decode RAW
 picture files.
 .
 This library is used by kipi-plugins, digiKam, and krita.
 .
 libkdcraw20 contains the library of libkdcraw.

Package: libkdcraw-dev
Section: libdevel
Architecture: any
Depends: libkdcraw20 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libkdcraw20}, pkg-config
Conflicts: libkdcraw5-dev, libkdcraw7-dev, libkdcraw8-dev
Description: RAW picture decoding C++ library (development)
 Libkdcraw is a C++ interface around dcraw binary program used to
 decode Raw picture files.
 .
 libkdcraw-dev contains development files and documentation. The
 library documentation is available on kdcraw.h header file.

Package: libkdcraw-data
Section: libs
Architecture: all
Depends: ${misc:Depends}
Breaks: kdegraphics-libs-data (<< 4:4.6.80)
Replaces: kdegraphics-libs-data (<< 4:4.6.80)
Description: RAW picture decoding C++ library (data files)
 Libkdcraw is a C++ interface around dcraw binary program used to
 decode Raw picture files.
 .
 libkdcraw20 contains the data files of libkdcraw.

Package: libkdcraw20-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libkdcraw20 (= ${binary:Version})
Replaces: kdegraphics-dbg (<< 4:4.6.80)
Breaks: kdegraphics-dbg (<< 4:4.6.80)
Description: RAW picture decoding C++ library (debugging symbols)
 This package contains debugging files used to investigate problems with
 libkdcraw.

## libkdcraw 4.7.2

=== debian/changelog ===
libkdcraw (4:4.7.2-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * Initial release. Start from the Ubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:45:41 -0300

=== debian/control ===
Source: libkdcraw
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7), liblcms1-dev, libjpeg-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkdcraw.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkdcraw.git

Package: libkdcraw20
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkdcraw-data (>= ${source:Version})
Description: RAW picture decoding library
 Libkdcraw is a Qt interface to the libraw library used to decode
 RAW picture files.
 .
 This library is used by kipi-plugins, digiKam, kphotoalbum, and krita.
 .
 libkdcraw20 contains the library of libkdcraw.

Package: libkdcraw-dev
Section: libdevel
Architecture: any
Depends: libkdcraw20 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libkdcraw20}, pkg-config
Conflicts: libkdcraw5-dev, libkdcraw7-dev, libkdcraw8-dev
Description: RAW picture decoding library -- development files
 Libkdcraw is a Qt interface to the libraw library used to decode
 RAW picture files.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kdcraw.h header file.

Package: libkdcraw-data
Section: libs
Architecture: all
Depends: ${misc:Depends}
Breaks: kdegraphics-libs-data (<< 4:4.6.80)
Replaces: kdegraphics-libs-data (<< 4:4.6.80)
Description: RAW picture decoding library -- data files
 Libkdcraw is a Qt interface to the libraw library used to decode
 RAW picture files.
 .
 This package contains the data files of the kdcraw library.

Package: libkdcraw20-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libkdcraw20 (= ${binary:Version})
Replaces: kdegraphics-dbg (<< 4:4.6.80)
Breaks: kdegraphics-dbg (<< 4:4.6.80)
Description: RAW picture decoding library -- debugging symbols
 Libkdcraw is a Qt interface to the libraw library used to decode
 RAW picture files.
 .
 This package contains the debugging files used to investigate problems with
 libkdcraw.

## libkdcraw 4.7.4

=== debian/changelog ===
libkdcraw (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 06 Mar 2012 10:28:54 +0100

libkdcraw (4:4.7.4-1) experimental; urgency=low

  * New upstream release.
  
  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 17 Dec 2011 23:43:49 +0100

## libkdcraw 4.8.2

=== debian/changelog ===
libkdcraw (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 30 Mar 2012 20:35:49 +0200

libkdcraw (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release
  * Cherry-pick upstream commit d0e61353aeff0ec89cfa4a2de0c767286784c239
    from master to add lcms2 support. (LP: #885324)
  * Build-depend on liblcms2-dev instead of liblcms1-dev 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 15:23:40 +0100

libkdcraw (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:25 +0000

libkdcraw (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:15:00 +0000

libkdcraw (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 14:50:18 +0100

libkdcraw (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Dec 2011 13:28:08 +0000

libkdcraw (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:46:51 +0000

libkdcraw (4:4.7.2-0r0) UNRELEASED; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 26 Sep 2011 20:59:00 +0200

libkdcraw (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 13 Oct 2011 13:22:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: libkdcraw
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7), liblcms1-dev, libjpeg-dev
+ kdelibs5-dev (>= 4:4.8.1), liblcms2-dev, libjpeg62-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkdcraw.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkdcraw.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdcraw
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdcraw
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkdcraw.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkdcraw.git
 
 Package: libkdcraw20
 Section: libs

## libkdcraw 4.8.4

=== debian/changelog ===
libkdcraw (4:4.8.4-1) unstable; urgency=low

  * New upstream release
  * Update symbols file
  * Update install files

 -- Sune Vuorela <sune@debian.org>  Sun, 17 Jun 2012 21:51:00 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_makeshlibs:
	$(overridden_command) -- -c0

override_dh_shlibdeps:
	$(overridden_command) $(foreach p,$(shell dh_listpackages | grep ^lib),-p$p) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=libkdcraw20-dbg

## libkdcraw 4.8.5

=== icons/CMakeLists.txt ===
# ===========================================================
#
# This file is a part of digiKam project
# <a href="http://www.digikam.org">http://www.digikam.org</a>
#
# @date   2006-12-09
# @brief  a tread-safe libraw C++ program interface for KDE
#
# @author Copyright (C) 2006-2010 by Gilles Caulier
#         <a href="mailto:caulier dot gilles at gmail dot com">caulier dot gilles at gmail dot com</a>
#
# This program is free software; you can redistribute it
# and/or modify it under the terms of the GNU General
# Public License as published by the Free Software Foundation;
# either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# ============================================================

kde4_install_icons ( ${ICON_INSTALL_DIR} )

=== debian/changelog ===
libkdcraw (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  [ Scott Kitterman ]
  * New upstream bugfix release (LP: #1047417)

  [ Felix Geyer ]
  * Make libkdcraw-data break/replace libkdcraw8 due to file conflicts.
    (LP: #1041764)

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 07 Sep 2012 16:52:50 +0200

libkdcraw (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:41:35 +0200

libkdcraw (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 May 2012 16:44:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.8.1), liblcms2-dev, libjpeg62-dev
 Standards-Version: 3.9.2
@@ -43,8 +43,8 @@
 Section: libs
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: kdegraphics-libs-data (<< 4:4.6.80)
-Replaces: kdegraphics-libs-data (<< 4:4.6.80)
+Breaks: kdegraphics-libs-data (<< 4:4.6.80), libkdcraw8
+Replaces: kdegraphics-libs-data (<< 4:4.6.80), libkdcraw8
 Description: RAW picture decoding library -- data files
  Libkdcraw is a Qt interface to the libraw library used to decode
  RAW picture files.

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,6 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
 
 .PHONY: override_dh_auto_test
-
-override_dh_makeshlibs:
-	$(overridden_command) -- -c0
 
 override_dh_shlibdeps:
 	$(overridden_command) $(foreach p,$(shell dh_listpackages | grep ^lib),-p$p) -- -xkde-runtime

## libkdcraw 4.9.2

=== debian/changelog ===
libkdcraw (4:4.9.2-0ubuntu1.2) quantal-security; urgency=low

  * SECURITY UPDATE: denial of service via crafted photo files
    - debian/patches/CVE-2013-143x.patch: add more checks to
      libraw/internal/dcraw_common.cpp, libraw/src/libraw_datastream.cpp.
    - CVE-2013-1438
    - CVE-2013-1439

 -- Scott Kitterman <scott@kitterman.com>  Tue, 01 Oct 2013 00:49:00 -0400

libkdcraw (4:4.9.2-0ubuntu1.1) quantal-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    broken full-color images (LP: #1193065)
    - debian/patches/CVE-2013-2126: fix error handling in
      libraw/src/libraw_cxx.cpp.
    - CVE-2013-2126

 -- Scott Kitterman <scott@kitterman.com>  Thu, 20 Jun 2013 14:02:00 -0400

libkdcraw (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:34:39 +0100

libkdcraw (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:39:26 +0530

libkdcraw (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:14:15 +0100

libkdcraw (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 18:06:24 +0200

libkdcraw (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream beta release
    - drop upstream_lcms2_support.diff, applied upstream
    - replace libkdcraw20 with libkdcraw21 for new ABI version
    - refresh libkdcraw21.symbols
    - drop breaks/replaces against kdebindings-dbg in debug package,
      not needed anymore

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 26 May 2012 13:01:58 +0200

libkdcraw (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 May 2012 16:44:29 +0200

=== debian/control ===
Source: libkdcraw
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: 
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.9.2), liblcms2-dev, libjpeg62-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdcraw
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdcraw
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkdcraw.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkdcraw.git

Package: libkdcraw21
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkdcraw-data (>= ${source:Version})
Description: RAW picture decoding library
 Libkdcraw is a Qt interface to the libraw library used to decode
 RAW picture files.
 .
 This library is used by kipi-plugins, digiKam, kphotoalbum, and krita.
 .
 libkdcraw21 contains the library of libkdcraw.

Package: libkdcraw-dev
Section: libdevel
Architecture: any
Depends: libkdcraw21 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libkdcraw21}, pkg-config
Conflicts: libkdcraw5-dev, libkdcraw7-dev, libkdcraw8-dev
Description: RAW picture decoding library -- development files
 Libkdcraw is a Qt interface to the libraw library used to decode
 RAW picture files.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kdcraw.h header file.

Package: libkdcraw-data
Section: libs
Architecture: all
Depends: ${misc:Depends}
Breaks: kdegraphics-libs-data (<< 4:4.6.80)
Replaces: kdegraphics-libs-data (<< 4:4.6.80)
Description: RAW picture decoding library -- data files
 Libkdcraw is a Qt interface to the libraw library used to decode
 RAW picture files.
 .
 This package contains the data files of the kdcraw library.

Package: libkdcraw21-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libkdcraw21 (= ${binary:Version})
Description: RAW picture decoding library -- debugging symbols
 Libkdcraw is a Qt interface to the libraw library used to decode
 RAW picture files.
 .
 This package contains the debugging files used to investigate problems with
 libkdcraw.

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 	$(overridden_command) --remaining-packages
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=libkdcraw20-dbg
+	$(overridden_command) --dbg-package=libkdcraw21-dbg

## libkdcraw 4.10.0

=== debian/changelog ===
libkdcraw (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:07:17 +0000

libkdcraw (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:58:22 +0000

libkdcraw (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:20:00 +0100

libkdcraw (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:10:08 +0000

libkdcraw (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:11:02 +0000

libkdcraw (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Scott Kitterman ]
  * Rename libkdcraw21 to libkdcraw22 to match new soname, update dev and dbg
    package depends, update debian/rules, and rename install/symbols files
  * Build-depend on unversioned libjpeg-dev since libjpeg62 is now too old
  * Add ractionthreadbase.h to includes in libkdcraw-dev.install
  * Add missing build-depends on libxml2-dev and pkg-config

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Nov 2012 10:07:26 -0500

libkdcraw (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:43:19 +0100

libkdcraw (4:4.7.2-0r0) raring; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 26 Sep 2011 20:59:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2), liblcms2-dev, libjpeg62-dev
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), pkg-config,
+ kdelibs5-dev (>= 4:4.10.0), liblcms2-dev, libjpeg-dev, libxml2-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdcraw
@@ -14,7 +14,7 @@
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkdcraw.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkdcraw.git
 
-Package: libkdcraw21
+Package: libkdcraw22
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libkdcraw-data (>= ${source:Version})
@@ -24,13 +24,13 @@
  .
  This library is used by kipi-plugins, digiKam, kphotoalbum, and krita.
  .
- libkdcraw21 contains the library of libkdcraw.
+ libkdcraw22 contains the library of libkdcraw.
 
 Package: libkdcraw-dev
 Section: libdevel
 Architecture: any
-Depends: libkdcraw21 (= ${binary:Version}), ${misc:Depends},
- ${sameVersionDep:kdelibs5-dev:libkdcraw21}, pkg-config
+Depends: libkdcraw22 (= ${binary:Version}), ${misc:Depends},
+ ${sameVersionDep:kdelibs5-dev:libkdcraw22}, pkg-config
 Conflicts: libkdcraw5-dev, libkdcraw7-dev, libkdcraw8-dev
 Description: RAW picture decoding library -- development files
  Libkdcraw is a Qt interface to the libraw library used to decode
@@ -51,11 +51,11 @@
  .
  This package contains the data files of the kdcraw library.
 
-Package: libkdcraw21-dbg
+Package: libkdcraw22-dbg
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, libkdcraw21 (= ${binary:Version})
+Depends: ${misc:Depends}, libkdcraw22 (= ${binary:Version})
 Description: RAW picture decoding library -- debugging symbols
  Libkdcraw is a Qt interface to the libraw library used to decode
  RAW picture files.

## libkdcraw 4.10.2

=== debian/changelog ===
libkdcraw (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:31:30 +0200

libkdcraw (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:42:26 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), pkg-config,
- kdelibs5-dev (>= 4:4.10.0), liblcms2-dev, libjpeg-dev, libxml2-dev
+ kdelibs5-dev (>= 4:4.10.2), liblcms2-dev, libjpeg-dev, libxml2-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdcraw

## libkdcraw 4.11.2

=== debian/changelog ===
libkdcraw (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:46:24 +0100

libkdcraw (4:4.11.1-0ubuntu2) saucy; urgency=low

  * SECURITY UPDATE: denial of service via crafted photo files
    - debian/patches/CVE-2013-143x.patch: add more checks to
      libraw/internal/dcraw_common.cpp, libraw/src/libraw_datastream.cpp.
    - CVE-2013-1438
    - CVE-2013-1439

 -- Scott Kitterman <scott@kitterman.com>  Tue, 01 Oct 2013 01:11:49 -0400

libkdcraw (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:35:06 +0100

libkdcraw (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:50:48 +0100

libkdcraw (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:56:44 +0100

libkdcraw (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:18 +0000

libkdcraw (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:26:24 +0100

libkdcraw (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Add new symbol to libkdcraw22.symbols

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 01:41:47 +0100

libkdcraw (4:4.10.4-0ubuntu2) saucy; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    broken full-color images and a buffer overflow (LP: #1193065)
    - debian/patches/CVE2013-2126.diff: fix error handling in
      libraw/src/libraw_cxx.cpp.
    - CVE-2013-2126
    - debian/patches/CVE2013-2127.diff: fix wrong data_maximum calcluation
      in libraw/src/libraw_cxx.cpp.
    - CVE-2013-2127

 -- Scott Kitterman <scott@kitterman.com>  Thu, 20 Jun 2013 15:54:44 -0400

libkdcraw (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:45:56 +0100

libkdcraw (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian
  * Remove version on libkdcraw22-dbg replace/breaks of kdegraphics-dbg

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:10:49 +0000

libkdcraw (4:4.10.2-3) experimental; urgency=low

  [ Pino Toscano ]
  * Add the pkg-config build dependency.

 -- Sune Vuorela <sune@debian.org>  Mon, 29 Apr 2013 01:21:53 +0200

libkdcraw (4:4.10.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Bump the kde-sc-dev-latest and kdelibs5-dev build dependencies to 4.10.
  * Minor description change in libkdcraw22.
  * Switch from LCMS 1 to LCMS 2:
    - change the liblcms1-dev build dependency to liblcms2-dev
    - pass -DENABLE_LCMS2=ON to cmake

 -- Sune Vuorela <sune@debian.org>  Sat, 13 Apr 2013 14:13:20 +0000

libkdcraw (4:4.10.2-1) experimental; urgency=low

  * New upstream release
  * Soname change in libkdcraw
  * Update uploaders

  [ Maximiliano Curia ]
  * Add missing authors file refered in the documentation
  * Update debian/copyright file

 -- Sune Vuorela <sune@debian.org>  Sun, 07 Apr 2013 15:59:41 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,19 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: 
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), pkg-config,
- kdelibs5-dev (>= 4:4.10.2), liblcms2-dev, libjpeg-dev, libxml2-dev
+Uploaders: Sune Vuorela <sune@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10),
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
+ kdelibs5-dev (>= 4:4.11.2),
+ libjpeg-dev,
+ liblcms2-dev,
+ pkg-config,
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdcraw
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdcraw
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkdcraw.git
-X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkdcraw.git
+X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkdcraw.git
+X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/libkdcraw.git
 
 Package: libkdcraw22
 Section: libs
@@ -24,7 +27,7 @@
  .
  This library is used by kipi-plugins, digiKam, kphotoalbum, and krita.
  .
- libkdcraw22 contains the library of libkdcraw.
+ This package contains the shared library.
 
 Package: libkdcraw-dev
 Section: libdevel
@@ -56,6 +59,8 @@
 Architecture: any
 Priority: extra
 Depends: ${misc:Depends}, libkdcraw22 (= ${binary:Version})
+Replaces: kdegraphics-dbg
+Breaks: kdegraphics-dbg
 Description: RAW picture decoding library -- debugging symbols
  Libkdcraw is a Qt interface to the libraw library used to decode
  RAW picture files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_auto_configure:
	$(overridden_command) -- -DENABLE_LCMS2=ON

override_dh_makeshlibs:
	$(overridden_command) -- -c0

override_dh_shlibdeps:
	$(overridden_command) $(foreach p,$(shell dh_listpackages | grep ^lib),-p$p) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=libkdcraw22-dbg

## libkdcraw 4.13.0

=== profiles/CMakeLists.txt ===
# ===========================================================
#
# This file is a part of digiKam project
# <a href="http://www.digikam.org">http://www.digikam.org</a>
#
# @date   2006-12-09
# @brief  a tread-safe libraw C++ program interface for KDE
#
# @author Copyright (C) 2006-2012 by Gilles Caulier
#         <a href="mailto:caulier dot gilles at gmail dot com">caulier dot gilles at gmail dot com</a>
#
# This program is free software; you can redistribute it
# and/or modify it under the terms of the GNU General
# Public License as published by the Free Software Foundation;
# either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# ============================================================

FILE(GLOB icmfiles *.icm *.icc)

INSTALL(FILES  ${icmfiles}
        DESTINATION ${DATA_INSTALL_DIR}/libkdcraw/profiles )

=== test/CMakeLists.txt ===
# ===========================================================
#
# This file is a part of digiKam project
# <a href="http://www.digikam.org">http://www.digikam.org</a>
#
# @date   2006-12-09
# @brief  a tread-safe libraw C++ program interface for KDE
#
# @author Copyright (C) 2006-2013 by Gilles Caulier
#         <a href="mailto:caulier dot gilles at gmail dot com">caulier dot gilles at gmail dot com</a>
#
# This program is free software; you can redistribute it
# and/or modify it under the terms of the GNU General
# Public License as published by the Free Software Foundation;
# either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# ============================================================

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/../libkdcraw)

SET(raw2png_SRCS raw2png.cpp)
ADD_EXECUTABLE(raw2png ${raw2png_SRCS})
TARGET_LINK_LIBRARIES(raw2png kdcraw ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

SET(libinfo_SRCS libinfo.cpp)
ADD_EXECUTABLE(libinfo ${libinfo_SRCS})
TARGET_LINK_LIBRARIES(libinfo kdcraw ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

=== debian/changelog ===
libkdcraw (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:20:45 +0100

libkdcraw (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:48:10 +0200

libkdcraw (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:47:37 +0100

libkdcraw (4:4.12.90-0ubuntu1) trusty; urgency=medium

  [ Philip Muškovac ]
  * Drop obsolete cmake option -DENABLE_LCMS2=ON as that's now the only
    supported version

  [ Jonathan Riddell ]
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:53:21 +0000

libkdcraw (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:08:49 +0100

libkdcraw (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:19:49 +0000

libkdcraw (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:34:05 +0000

libkdcraw (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:33:45 +0000

libkdcraw (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:32:24 +0000

libkdcraw (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:29:17 +0100

libkdcraw (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release
    - Update install files
    - libkdcraw22 -> libkdcraw23
    - Add Build-Dep on libraw-dev
    - Drop CVE-2013-143x.patch, not required
    - Fix install files
    - Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:53:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Uploaders: Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.13.0),
  libjpeg-dev,
  liblcms2-dev,
  pkg-config,
+ libraw-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdcraw
@@ -17,7 +18,7 @@
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkdcraw.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/libkdcraw.git
 
-Package: libkdcraw22
+Package: libkdcraw23
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libkdcraw-data (>= ${source:Version})
@@ -32,8 +33,8 @@
 Package: libkdcraw-dev
 Section: libdevel
 Architecture: any
-Depends: libkdcraw22 (= ${binary:Version}), ${misc:Depends},
- ${sameVersionDep:kdelibs5-dev:libkdcraw22}, pkg-config
+Depends: libkdcraw23 (= ${binary:Version}), ${misc:Depends},
+ ${sameVersionDep:kdelibs5-dev:libkdcraw23}, pkg-config
 Conflicts: libkdcraw5-dev, libkdcraw7-dev, libkdcraw8-dev
 Description: RAW picture decoding library -- development files
  Libkdcraw is a Qt interface to the libraw library used to decode
@@ -54,11 +55,11 @@
  .
  This package contains the data files of the kdcraw library.
 
-Package: libkdcraw22-dbg
+Package: libkdcraw23-dbg
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, libkdcraw22 (= ${binary:Version})
+Depends: ${misc:Depends}, libkdcraw23 (= ${binary:Version})
 Replaces: kdegraphics-dbg
 Breaks: kdegraphics-dbg
 Description: RAW picture decoding library -- debugging symbols

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_makeshlibs:
	$(overridden_command) -- -c0

override_dh_shlibdeps:
	$(overridden_command) $(foreach p,$(shell dh_listpackages | grep ^lib),-p$p) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=libkdcraw23-dbg
